Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.gena
Class LocalGENASubscription

    java.lang.Object
      org.teleal.cling.model.gena.GENASubscription<LocalService>
          org.teleal.cling.model.gena.LocalGENASubscription

All Implemented Interfaces:
  PropertyChangeListener, EventListener

    public abstract class LocalGENASubscription

extends GENASubscription<LocalService>
implements PropertyChangeListener

Field Summary

Fields inherited from class org.teleal.cling.model.gena.GENASubscription
`actualDurationSeconds, currentSequence, currentValues, deviceService, requestedDurationSeconds, subscriptionId`

Constructor Summary
`LocalGENASubscription(DeviceService<LocalService> deviceService, Integer requestedDurationSeconds, List<URL> callbackURLs)`
`LocalGENASubscription(DeviceService<LocalService> deviceService, List<URL> callbackURLs)`

Method Summary
`void` | `end(CancelReason reason)`
`abstract void` | `ended(CancelReason reason)`
`void` | `establish()`
`abstract void` | `failed(Exception ex)`
`List<URL>` | `getCallbackURLs()`
`void` | `incrementSequence()`
`protected Set<String>` | `moderateStateVariables(long currentTime, Collection<StateVariableValue> values)`
`void` | `propertyChange(PropertyChangeEvent e)`
`void` | `registerOnService()`
`void` | `setSubscriptionDuration(Integer requestedDurationSeconds)`

Methods inherited from class org.teleal.cling.model.gena.GENASubscription
`established, eventReceived, getActualDurationSeconds, getCurrentSequence, getCurrentValues, getDeviceService, getRequestedDurationSeconds, getSubscriptionId, setActualSubscriptionDurationSeconds, setSubscriptionId, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LocalGENASubscription

    public LocalGENASubscription(DeviceService<LocalService> deviceService,
                                 List<URL> callbackURLs)

### LocalGENASubscription

    public LocalGENASubscription(DeviceService<LocalService> deviceService,
                                 Integer requestedDurationSeconds,
                                 List<URL> callbackURLs)

Method Detail

### getCallbackURLs

    public List<URL> getCallbackURLs()

### registerOnService

    public void registerOnService()

### establish

    public void establish()

### end

    public void end(CancelReason reason)

### propertyChange

    public void propertyChange(PropertyChangeEvent e)

  Specified by:
    `propertyChange` in interface `PropertyChangeListener`

### moderateStateVariables

    protected Set<String> moderateStateVariables(long currentTime,
                                                 Collection<StateVariableValue> values)

### incrementSequence

    public void incrementSequence()

### setSubscriptionDuration

    public void setSubscriptionDuration(Integer requestedDurationSeconds)

### failed

    public abstract void failed(Exception ex)

### ended

    public abstract void ended(CancelReason reason)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.